# FoundationClasses
TKAdvTools
Expr

# Expr_FunctionDerivative Class Reference

`#include <Expr_FunctionDerivative.hxx>`

Inheritance diagram for Expr_FunctionDerivative:

[legend]

## Public Member Functions

Standard_EXPORT | Expr_FunctionDerivative (const Handle(Expr_GeneralFunction)&func, const Handle(Expr_NamedUnknown)&withX, const Standard_Integer deg)
| Creates a FunctionDerivative of degree <deg> relative to the <withx> variable. Raises OutOfRange if <deg> lower or equal to zero. .
Standard_EXPORT Standard_Integer | NbOfVariables () const
| Returns the number of variables of <me>. .
Standard_EXPORT Handle_Expr_NamedUnknown | Variable (const Standard_Integer index) const
| Returns the variable denoted by <index> in <me>. Raises OutOfRange if <index> greater than NbOfVariables of <me>. .
Standard_EXPORT Standard_Real | Evaluate (const Expr_Array1OfNamedUnknown &vars, const TColStd_Array1OfReal &values) const
| Computes the value of <me> with the given variables. Raises DimensionMismatch if Length(vars) is different from Length(values). .
Standard_EXPORT Handle_Expr_GeneralFunction | Copy () const
| Returns a copy of <me> with the same form. .
Standard_EXPORT Handle_Expr_GeneralFunction | Derivative (const Handle(Expr_NamedUnknown)&var) const
| Returns Derivative of <me> for variable . .
Standard_EXPORT Handle_Expr_GeneralFunction | Derivative (const Handle(Expr_NamedUnknown)&var, const Standard_Integer deg) const
| Returns Derivative of <me> for variable with degree <deg>. .
Standard_EXPORT Standard_Boolean | IsIdentical (const Handle(Expr_GeneralFunction)&func) const
| Tests if <me> and <func> are similar functions (same name and same used expression). .
Standard_EXPORT Standard_Boolean | IsLinearOnVariable (const Standard_Integer index) const
| Tests if <me> is linear on variable on range <index> .
Standard_EXPORT Handle_Expr_GeneralFunction | Function () const
| Returns the function of which <me> is the derivative. .
Standard_EXPORT Standard_Integer | Degree () const
| Returns the degree of derivation of <me>. .
Standard_EXPORT Handle_Expr_NamedUnknown | DerivVariable () const
| Returns the derivation variable of <me>. .
Standard_EXPORT TCollection_AsciiString | GetStringName () const
Standard_EXPORT Handle_Expr_GeneralExpression | Expression () const
Standard_EXPORT void | UpdateExpression ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Expr_GeneralFunction | myFunction
Handle_Expr_GeneralExpression | myExp
Handle_Expr_NamedUnknown | myDerivate
Standard_Integer | myDegree

## Constructor & Destructor Documentation

Standard_EXPORT Expr_FunctionDerivative::Expr_FunctionDerivative | ( | const Handle(Expr_GeneralFunction)& | func,
|  | const Handle(Expr_NamedUnknown)& | withX,
|  | const Standard_Integer | deg
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Expr_GeneralFunction Expr_FunctionDerivative::Copy | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Standard_Integer Expr_FunctionDerivative::Degree | ( |  | ) | const

Standard_EXPORT Handle_Expr_GeneralFunction Expr_FunctionDerivative::Derivative | ( | const Handle(Expr_NamedUnknown)& | var,
|  | const Standard_Integer | deg
| ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Handle_Expr_GeneralFunction Expr_FunctionDerivative::Derivative | ( | const Handle(Expr_NamedUnknown)& | var | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Handle_Expr_NamedUnknown Expr_FunctionDerivative::DerivVariable | ( |  | ) | const

Standard_EXPORT Standard_Real Expr_FunctionDerivative::Evaluate | ( | const Expr_Array1OfNamedUnknown & | vars,
|  | const TColStd_Array1OfReal & | values
| ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Handle_Expr_GeneralExpression Expr_FunctionDerivative::Expression | ( |  | ) | const

Standard_EXPORT Handle_Expr_GeneralFunction Expr_FunctionDerivative::Function | ( |  | ) | const

Standard_EXPORT TCollection_AsciiString Expr_FunctionDerivative::GetStringName | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT const Expr_FunctionDerivative::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Expr_GeneralFunction.

Standard_EXPORT Standard_Boolean Expr_FunctionDerivative::IsIdentical | ( | const Handle(Expr_GeneralFunction)& | func | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Standard_Boolean Expr_FunctionDerivative::IsLinearOnVariable | ( | const Standard_Integer | index | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT Standard_Integer Expr_FunctionDerivative::NbOfVariables | ( |  | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

Standard_EXPORT void Expr_FunctionDerivative::UpdateExpression | ( |  | ) |

Standard_EXPORT Handle_Expr_NamedUnknown Expr_FunctionDerivative::Variable | ( | const Standard_Integer | index | ) | const`[virtual]`

| Implements Expr_GeneralFunction.

## Field Documentation

Standard_Integer Expr_FunctionDerivative::myDegree `[private]`

Handle_Expr_NamedUnknown Expr_FunctionDerivative::myDerivate `[private]`

Handle_Expr_GeneralExpression Expr_FunctionDerivative::myExp `[private]`

Handle_Expr_GeneralFunction Expr_FunctionDerivative::myFunction `[private]`

The documentation for this class was generated from the following file:

- Expr_FunctionDerivative.hxx